/* ¼¼·Î¼±Àº ºÎ¸ð ÀüÃ¼ ³ôÀÌ ±âÁØ */
.cate-pack::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  pointer-events: none;
  z-index: 0;

  background:
    linear-gradient(var(--line-color), var(--line-color)) calc(var(--item-width) + (var(--gap) / 2)) 0 / 1px 100% no-repeat,
    linear-gradient(var(--line-color), var(--line-color)) calc((var(--item-width) * 2) + (var(--gap) * 1.5)) 0 / 1px 100% no-repeat,
    linear-gradient(var(--line-color), var(--line-color)) calc((var(--item-width) * 3) + (var(--gap) * 2.5)) 0 / 1px 100% no-repeat,
    linear-gradient(var(--line-color), var(--line-color)) calc((var(--item-width) * 4) + (var(--gap) * 3.5)) 0 / 1px 100% no-repeat,
    linear-gradient(var(--line-color), var(--line-color)) calc((var(--item-width) * 5) + (var(--gap) * 4.5)) 0 / 1px 100% no-repeat;
}

.cate-pack {
  margin: 0 5px;
  display: flex;
  gap: 30px;
  align-items: flex-start;
}

.cate-col {
  flex: 1 1 0;
  min-width: 0;
}

/* ¼¼·ÎÇü */
.gnb[data-layer-position="right"] {
  width: var(--menu-width);
}

/* ¼¼·ÎÇü: ¿À¸¥ÂÊ */
.gnb[data-layer-position="right"] .gnb-layer-wrap {
  top: 0;
  left: calc(var(--menu-width) - 1px);
  width: 1000px !important;
}

.gnb-menu {
  flex-direction: column !important;
}

.gnb-menu li {
  flex: 1;
  border-bottom: var(--menu-bd-bottom, none);
}

.gnb[data-layer-position="right"] .gnb-menu {
  display: flex !important;
}

.gnb-item > a {
  padding: 0 30px !important;
  transition: background-color .2s, color .2s;
}


/* hover + active (¿ÏÀüÈ÷ µ¿ÀÏÇÏ°Ô) */
.gnb-item:hover > a,
.gnb-item.is-active > a {
  background: var(--menu-bg-active) !important;
  color: var(--menu-text-color-active) !important;
  text-decoration: none;
}

.gnb-item > a .icon {
  background-color: var(--menu-icon-color);
  margin-right: 8px;
}

/* ¾ÆÀÌÄÜ »ö ¹ÝÀü */
.gnb-item:hover > a .icon,
.gnb-item.is-active > a .icon {
  background-color: var(--menu-icon-color-active) !important;
}

/* ¸¶Áö¸· border Á¦°Å À¯Áö */
.gnb-menu .gnb-item:last-child > a {
  border-bottom: 0;
}
